-- main for rotating_square.love
-- love.graphics.draw( drawable, x, y, r, sx, sy, ox, oy, kx, ky )
local gr, pi, sin, cos  = love.graphics, math.pi, math.sin, math.cos
function love.load()
	gr.setCaption('Mass Rotation')
	sr1= {ang= 0,w=50,h=30,rx=130,ry=130}
	sr2= {ang=pi,w=50,h=50,rx=120,ry=200}
	sr3= {ang=pi/2,w=50,h=30,rx=300,ry=100}
	sr4= {ang=3*pi/2,w=30,h=30,rx=60,ry=60}
	cnt= {ang=0,w=0,h=0,rx=100,ry=100,ox=400,oy=300}
	end

function love.draw()
	gr.setColor(255,255,0,255)
	gr.line(cnt.x-5,cnt.y-5,cnt.x+5,cnt.y+5)
	gr.line(cnt.x-5,cnt.y+5,cnt.x+5,cnt.y-5)
	gr.setColor(0,0,255,255)
	gr.rectangle('fill',sr1.x,sr1.y,sr1.w,sr1.h)
	gr.setColor(255,0,0,255)
	gr.rectangle('fill',sr2.x,sr2.y,sr2.w,sr2.h)
	gr.setColor(0,255,0,255)
	gr.rectangle('fill',sr3.x,sr3.y,sr3.w,sr3.h)
	gr.setColor(255,255,0,255)
	gr.rectangle('fill',sr4.x,sr4.y,sr4.w,sr4.h)
	fps = love.timer.getFPS( )
	gr.print( 'fps: '..fps, 650, 550 )
	end

function love.update( dt )
	cnt.ang = cnt.ang < 2 * pi and cnt.ang + dt/3 or 0
	rotate_center(cnt)
	sr1.ang = sr1.ang < 2 * pi and sr1.ang + dt/1.05 or 0
	rotate(sr1)
	sr2.ang = sr2.ang < 2 * pi and sr2.ang + dt/1.05 or 0
	rotate(sr2)
	sr3.ang = sr3.ang < 2 * pi and sr3.ang + dt/1.05 or 0
	rotate(sr3)
	sr4.ang = sr4.ang >0 and sr4.ang - 2*dt or 2*pi
	rotate(sr4)

	end

function love.keypressed( key )
	if key == "escape" then love.event.quit() end
	end
function rotate_center(t)
	t.x=t.rx*cos(t.ang)+t.ox
	t.y=t.ry*sin(t.ang)+t.oy
	end

function rotate(t)
	t.x=t.rx*cos(t.ang)+cnt.x-t.w/2
	t.y=t.ry*sin(t.ang)+cnt.y-t.h/2
	end




